<?
function get_msgs() {
	return array (
		'en' => array(
			'installation_preferences' => 'Installation preferences',
			'install_prefix' => 'Destination directory',
    			'ssl' => 'Do you want this application to be accessible via HTTPS or HTTP protocol?',
			'ssl_on' => 'HTTPS',
			'ssl_off' => 'HTTP',
			'ftp_user' => 'FTP username',
			'ftp_password' => 'FTP password',
			'ftp_confirm' => 'Confirm Password',
			'invalid_value' => 'Incorrect value.',
			'host_address' => 'FTP address',
			'password__not_match' => 'Passwords do not match',
			'password__empty' => 'Please, specify a password',
			'invalid_values' => 'You have specified incorrect parameters.',
			'no_key' => 'License key not found',
			'install_prefix__already_exists' => 'The directory already exists.',
			'install_prefix__invalid_name' => 'The directory name is incorrect',
			'install_prefix__used_by_sapp' => 'The directory is used by another Site Application'
		),
		'' => array()
	);
}

function msg($name, $locale = null)
{
	static $msgs;
	static $def_locale;
	
	if (!isset($msgs))
	$msgs = get_msgs();
	
	if (!isset($def_locale)) {
		reset($msgs);
		$def_locale = key($msgs);
	}
	
	if (null == $locale)
	$locale = sapp_get_locale();
	
	if (!isset($msgs[$locale])) {
		$locale = $def_locale;
	}
	
	if (isset($msgs[$locale][$name]))
		return $msgs[$locale][$name];
	elseif (isset($msgs[$def_locale][$name]))
		return $msgs[$def_locale][$name];
	else
		return $name;
}

?>