<?
sapp_include_once('common.php');

function form_handler()
{
	$valid = true;

  	$ssl = sapp_get_submit_value('ssl');
	switch ($ssl) {
		case 'true':
			sapp_set_ssl(true);
			break;

		default:
			sapp_set_ssl(false);
			break;
	}

	// check install_prefix
	$install_prefix = sapp_get_submit_value('install_prefix');

	switch (sapp_set_install_prefix($install_prefix)) {

		case SITEAPP_DIR_NOT_EXISTS:
			break;

		case SITEAPP_DIR_USED_BY_UNKNOWN:
			sapp_set_wrong('install_prefix', msg('install_prefix__already_exists'));
			$valid = false;
			break;			

		case SITEAPP_DIR_INVALID_NAME:
			sapp_set_wrong('install_prefix', msg('install_prefix__invalid_name'));
			$valid = false;
			break;

		case SITEAPP_DIR_USED_BY_SITEAPP:
			sapp_set_wrong('install_prefix', msg('install_prefix__used_by_sapp'));
			$valid = false;
			break;
	}

	

	// set application URL

	$digi_hostaddr = sapp_get_submit_value('digi_hostaddr');

	if (!check_idn_domain($digi_hostaddr) && !check_ip($digi_hostadd) && !check_idn_domain($digi_hostadd)) {
		sapp_set_wrong('digi_hostaddr', msg('invalid_value'));
		$valid = false;
	}


/*
	if(pkey_fetch_key("sapp-PPWSE-1") == false) {
		$valid = false;
		sapp_set_errormsg(msg('no_key'));
		return 1;
	}
*/

	if (!$valid) {
		sapp_set_warning(msg('invalid_values'));
		return 1;
	}

	sapp_set_param('application_url', sapp_get_param('install_prefix'));

	$digi_hostaddr = idn_toascii($digi_hostaddr);
	sapp_set_param('digi_hostaddr', $digi_hostaddr);

	return 2;
}
?>

